Luku 2. Fire up GIMP
| Osa I. Aloittaminen |

## Luku 2. Fire up GIMP

## 1. GIMPin ajaminen

Usually you start GIMP either by clicking an icon (if your system is set up to provide you with one), or by typing gimp on a command line. If you have multiple versions of GIMP installed, you may need to type gimp-2.10 to get the newest version. You can, if you want, provide a list of image file names on the command line after the program name so that GIMP automatically opens those files after it starts. It is also possible, though, to open files from within GIMP once it is running.

Most operating systems support file associations, which associates a class of files (as determined by their filename extension, such as .jpg) with a corresponding application (such as GIMP). When image files are properly ”associated” to GIMP, you can double click an image to open it in GIMP.

### 1.1. Tunnettuja alustoja

GIMP is the most widely supported image manipulation program available today. The platforms on which GIMP is known to work include:

GNU/Linux™, Apple macOS™, Microsoft Windows™, OpenBSD™, NetBSD™, FreeBSD™, Solaris™, SunOS™, AIX™, HP-UX™, Tru64™, Digital UNIX™, OSF/1™, IRIX™, OS/2™, and BeOS™.

GIMP is easily ported to other operating systems because of its source code availability. For further information visit the GIMP developers homepage. [GIMP-DEV].

### 1.2. Kieli

GIMP automatically detects and uses the system language. In the unlikely event that language detection fails, or if you want to use a different language, you can change the language used in: Edit → Preferences, then go to the Interface section; Language can be set at the top.

Voit myös käyttää:

Linuxilla

  In LINUX: in console mode, type `LANGUAGE=en gimp` or `LANG=en gimp` replacing en with fr, de, ... according to the language you want. Background: Using `LANGUAGE=en` sets an environment variable for the executed program `gimp`.

Under Windows

  Control Panel → System → Advanced → Environment button in ”System Variables” area: Add button: Enter LANG for Name and fr or de... for Value. Watch out! You have to click OK three successive times to validate your choice.

  If you change languages often, you can create a batch file to change the language. Open NotePad. Type the following commands (for French for instance):

  `set lang=fr
  start gimp-2.10.exe`

  Save this file as `GIMP-FR.BAT` (or another name, but always with a `.BAT` extension). Create a shortcut and drag it to your desktop.

  Toinen mahdollinen tapa: Käynnistä → Ohjelmat → GTK Runtime Enviroment ja sitten Select Language ja valitse haluamasi kieli pudotusvalikosta.

Under Apple macOS

  From System Preferences, click the International icon. In the Language tab, the desired language should be the first in the list.

Toinen GIMP instanssi

  Use `-n` to run multiple instances of GIMP. For example, use `gimp-2.10` to start GIMP in the default system language, and `LANGUAGE=en gimp-2.10 -n` to start another instance of GIMP in English; this is very useful for translators.

### 1.3. Komentorivi argumentteja

Although arguments are not required when starting GIMP, the most common arguments are shown below. On a Unix system, you can use `man gimp` for a complete list.

Command line arguments must be in the command line that you use to start GIMP as gimp-2.10 [OPTION...] [FILE|URI...].

-?, --help

  Näytä lista kaikista komentorivi valinnoista.

--help-all

  Näytä kaikki ohjevalinnat

--help-gtk

  Näytä GTK+ Asetukset

-v, --version

  Tulosta GIMPin versio ja sammuta.

--license

  Näytä lisenssin tiedot ja sammuta.

--verbose

  Näytä yksityiskohtaiset aloitusviestit.

-n, --new-instance

  Aloita uusi GIMP instanssi.

-a, --as-new

  Avaa kuvat uusina.

-i, --no-interface

  Käynnistä ilman käyttöliittymää.

-d, --no-data

  Älä lataa kuvioita, liukuvärejä, paletteja tai siveltimiä. Usein hyödyllinen ei-interaktiivisissa tilanteissa, joissa aloitus aika tulee minimoida.

-f, --no-fonts

  Älä lataa mitään fontteja. Tämä saa GIMPin lataamaan nopeammin, mikä on hyödyllistä skripteille, jotka eivät käytä fontteja tai auttamaan epämuotoisiin fontteihin liittyvien ongelmien etsimiseen, jotka uhkaavat GIMPpiä.

-s, --no-splash

  Älä näytä käynnistyskuvaa käynnistyksen aikana.

--no-shm

  Älä käytä jaettua muistia GIMPin ja sen liitännäisten välillä.

--no-cpu-accel

  Älä käytä erikoisia CPU-kiihdytys toimintoja. Hyödyllinen bugisen hardwaren tai bugisten toimintojen löytämiseen tai sammuttamaan.

--session=`name`

  Käytä eriä `sessionrc` tälle GIMP istunnolle. Annettu istunnon nimi on oletuksena liitetty `sessionrc` tiedostonimeen.

--gimprc=`filename`

  Käytä vaihtoehtoista `gimprc` tiedostoa oletustiedoston sijaan. `gimprc` tiedosto sisältää tallenteen asetuksistasi. Hyödyllinen silloin, kun liitännäisreitit tai laitteen tekniset tiedot ovat erilaiset.

--system-gimprc=`filename`

  Käytä vaihtoehtoista järjestelmä gimprc tiedostoa.

-b, --batch=`commands`

  Toteuta komentosarjoja ei-interaktiivisesti. Komentosarjat ovat tyypillisesti skriptin muodossa, jonka toteuttaa, joku GIMPin skriptaus liitännäisistä. Kun komento on `-`, komennot luetaan standardista syötöstä.

--batch-interpreter=`proc`

  Määritä prosessi jonokomentojen menettelytapa. Oletuksena on Script-Fu.

--console-messages

  Do not display dialog boxes on errors or warnings. Print the messages on the console instead.

--pdb-compat-mode=`mode`

  PDB yhteensopivuustila (off|on|warn).

--stack-trace-mode=`mode`

  Debuggaa kaatumisen varalta (never|query|always).

--debug-handlers

  Aktivoi ei-fataalit debuggauksen signalointi käsittelijät. Hyödyllinen GIMPin debuggaamiseen.

--g-fatal-warnings

  Make all warnings fatal. Useful for debugging.

--dump-gimprc

  Tulosta gimprc-tiedosto oletusasetuksilla. Hyödyllinen, jos olet sekoittanut gimprc-tiedoston.

--display=`display`

  Käytä määritettyä X näyttöä (ei toimi kaikilla alustoilla).

--show-playground

  Show a preferences page with experimental features.

2. What's new in GIMP |  | 2. GIMPin aloittaminen ensimmäistä kertaa

Report a bug in GIMP Report a documentation error